import { jsx } from "react/jsx-runtime";
import { PushPinSlash as PushPinSlash$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const PushPinSlash = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "PushPinSlash", ...props, children: /* @__PURE__ */ jsx(PushPinSlash$1, { weight: variant }) });
  }
);
PushPinSlash.displayName = "PushPinSlash";
Object.assign(PushPinSlash, { isGdsIcon: true });
export {
  PushPinSlash
};
